! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 6.28. Temperature records.
  program G28
    use G28M
    implicit none
    integer :: This_Year, Day
! start program G28
    write (unit = *, fmt = *) " Please enter the year. "
    read (unit = *, fmt = *) This_Year
    call Temp_In( This_Year)
    do
      write (unit = *, fmt = *) " Please enter a day number witin the year, or 0 to quit. "
      read (unit = *, fmt = *) Day
      if (Day <= 0) then
        stop
      end if
      write (unit = *, fmt = *) " Max, min, and hourly temps for the day: "
      write (unit = *, fmt = "(26 I4)") Year(Day)
    end do
    stop  ! ELF requires this statement although it is never reached.
  end program G28
